{% extends "zinnia/skeleton.html" %}
{% load i18n %}
{% load zinnia %}

{% block meta-keywords %}{% get_tags as entry_tags %}{{ entry_tags|join:", "}}{% endblock meta-keywords %}

{% block meta %}
    <meta name="generator" content="Zinnia {{ ZINNIA_VERSION }}" />
{% endblock meta %}

{% block link %}
    <link rel="index" href="{% url 'zinnia:entry_archive_index' %}" />
    <link rel="author" type="text/plain" href="{% url 'zinnia:humans' %}" />
    <link rel="EditURI" type="application/rsd+xml" href="{% url 'zinnia:rsd' %}" />
    <link rel="wlwmanifest" type="application/wlwmanifest+xml" href="{% url 'zinnia:wlwmanifest' %}" />
    <link rel="search" type="application/opensearchdescription+xml" title="Zinnia's Weblog" href="{% url 'zinnia:opensearch' %}" />
    <link rel="alternate" type="application/rss+xml" title="{% trans "RSS feed of last entries" %}" href="{% url 'zinnia:entry_feed' %}" />
    <link rel="alternate" type="application/rss+xml" title="{% trans "RSS feed of last discussions" %}" href="{% url 'zinnia:discussion_feed' %}" />
    {% get_archives_entries "zinnia/tags/entries_archives_link.html" %}
{% endblock link %}

{% block breadcrumbs %}
  {% trans "Blog" as root_name %}
  {% zinnia_breadcrumbs root_name %}
{% endblock breadcrumbs %}

{% block sidebar %}
<aside id="widget-welcome" class="widget">
  <h3>{% trans "Welcome!" %}</h3>
  <p>
    {% trans "This simple theme is the default appearance of Zinnia." %}
  </p>
  <p>
    {% trans "Don't hesitate to override the template <strong>zinnia/base.html</strong> to start <a href='http://docs.django-blog-zinnia.com/en/latest/how-to/customize_look_and_feel.html'>customizing your Weblog</a>." %}
  </p>
</aside>
<aside id="widget-categories" class="widget">
  <h3>
    <a href="{% url 'zinnia:category_list' %}">{% trans "Categories" %}</a>
  </h3>
  {% get_categories %}
</aside>

<aside id="widget-categories" class="widget">
  <h3>
    <a href="{% url 'zinnia:tags/cauthor' %}">{% trans "Categories" %}</a>
  </h3>
  {% get_cauthors %}
</aside>
<aside id="widget-authors" class="widget">
  <h3>
    <a href="{% url 'zinnia:author_list' %}">{% trans "Authors" %}</a>
  </h3>
  {% get_authors %}
</aside>
<aside id="widget-calendar" class="widget">
  <h3>{% trans "Calendar" %}</h3>
  {% get_calendar_entries %}
</aside>
<aside id="widget-tags" class="widget">
  <h3>
    <a href="{% url 'zinnia:tag_list' %}">{% trans "Tags" %}</a>
  </h3>
  {% get_tag_cloud %}
</aside>
<aside id="widget-recents" class="widget">
  <h3>{% trans "Recent entries" %}</h3>
  {% get_recent_entries %}
</aside>
<aside id="widget-comments" class="widget">
  <h3>{% trans "Recent comments" %}</h3>
  {% get_recent_comments %}
</aside>
<aside id="widget-linkbacks" class="widget">
  <h3>{% trans "Recent linkbacks" %}</h3>
  {% get_recent_linkbacks %}
</aside>
<aside id="widget-randoms" class="widget">
  <h3>{% trans "Random entries" %}</h3>
  {% get_random_entries %}
</aside>
<aside id="widget-populars" class="widget">
  <h3>{% trans "Popular entries" %}</h3>
  {% get_popular_entries %}
</aside>
{% if user.is_authenticated %}
<aside id="widget-tools" class="widget">
  <h3>{% trans "Tools" %}</h3>
  <ul>
    {% if perms.zinnia %}
    <li>
      <a href="{% url 'admin:app_list' 'zinnia' %}" title="{% trans "Dashboard" %}">
        {% trans "Dashboard" %}
      </a>
    </li>
    {% endif %}
    {% if perms.zinnia.add_entry %}
    <li>
      <a href="{% url 'admin:zinnia_entry_add' %}" title="{% trans "Post an entry" %}">
        {% trans "Post an entry" %}
      </a>
    </li>
    {% endif %}
    {% block admin-tools %}
    {% endblock admin-tools %}
    <li>
      <a href="{% url 'admin:logout' %}" title="{% trans "Log out" %}">
        {% trans "Log out" %}
      </a>
    </li>
  </ul>
</aside>
{% endif %}
{% endblock sidebar %}
